# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-2

DESCRIPTION="A nonintrusive zsh prompt that provides useful data like pwd, git info and system stats to the user."

HOMEPAGE="https://git.covalent.cz/overwatch/over-prompt"
SRC_URI=""
EGIT_REPO_URI="https://git.covalent.cz/overwatch/over-prompt.git"

LICENSE="AOJSL"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="+dotfiles +tools"

RDEPEND="
	tools? ( dev-python/psutil )"

src_compile() {
	ewarn "This is a prototype written in Python. Expect lower performance."
	#g++ -ansi -Wall -o data data.cpp
}

src_install() {
	if use tools; then
		dobin bin/cave-rdep
		dobin bin/cave-stat
		dobin bin/till
		dobin bin/force-install
		dobin bin/screenit
	fi
	
	insopts -m755
	
	insinto /usr/libexec/
	newins libexec/render.py ${PN}.py
	
	insinto /usr/share/${PN}/
	doins share/zsh-init
	
	if use dotfiles; then
		pushd dotfiles > /dev/null
		
		einfo "Installing dotfiles."
		zsh deploy-dotfiles.zsh system "${D}"
		
		popd > /dev/null
	fi
	
	insopts -m644
	
	insinto /etc/${PN}/
	doins cfg/main.cfg
	
	insinto /usr/share/i18n/locales/
	doins locale/en_OV
}

pkg_postinst() {
	einfo "Source /usr/share/${PN}/zsh-init to enable the prompt."
	einfo "The config file is in /etc/${PN}/."
}
